package de.robv.android.xposed.callbacks;

import android.content.res.XResources;
import android.view.View;
import de.robv.android.xposed.XposedBridge;
import de.robv.android.xposed.callbacks.XCallback;

public abstract class XC_LayoutInflated extends XCallback implements Comparable<XC_LayoutInflated> {
    public abstract void handleLayoutInflated(LayoutInflatedParam layoutInflatedParam) throws Throwable;

    public XC_LayoutInflated() {
    }

    public XC_LayoutInflated(int i) {
        super(i);
    }

    public static final class LayoutInflatedParam extends XCallback.Param {
        public XResources res;
        public XResources.ResourceNames resNames;
        public String variant;
        public View view;

        public LayoutInflatedParam(XposedBridge.CopyOnWriteSortedSet<XC_LayoutInflated> copyOnWriteSortedSet) {
            super((XCallback[]) copyOnWriteSortedSet.getSnapshot(new XCallback[0]));
        }
    }

    public int compareTo(XC_LayoutInflated xC_LayoutInflated) {
        if (this == xC_LayoutInflated) {
            return 0;
        }
        if (xC_LayoutInflated.priority != this.priority) {
            return xC_LayoutInflated.priority - this.priority;
        }
        return System.identityHashCode(this) < System.identityHashCode(xC_LayoutInflated) ? -1 : 1;
    }

    /* access modifiers changed from: protected */
    @Override // de.robv.android.xposed.callbacks.XCallback
    public void call(XCallback.Param param) throws Throwable {
        if (param instanceof LayoutInflatedParam) {
            handleLayoutInflated((LayoutInflatedParam) param);
        }
    }

    public class Unhook implements IXUnhook<XC_LayoutInflated> {
        private final int id;
        private final String resDir;

        public Unhook(String str, int i) {
            this.resDir = str;
            this.id = i;
        }

        public int getId() {
            return this.id;
        }

        @Override // de.robv.android.xposed.callbacks.IXUnhook
        public XC_LayoutInflated getCallback() {
            return XC_LayoutInflated.this;
        }

        @Override // de.robv.android.xposed.callbacks.IXUnhook
        public void unhook() {
            XResources.unhookLayout(this.resDir, this.id, XC_LayoutInflated.this);
        }
    }
}
