package io.github.xposed.xposedservice;

import android.os.Binder;
import android.os.Bundle;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import android.os.Parcelable;
import android.os.RemoteException;

public interface IXRemotePreferenceCallback extends IInterface {
    public static final String DESCRIPTOR = "io.github.xposed.xposedservice.IXRemotePreferenceCallback";

    public static class Default implements IXRemotePreferenceCallback {
        public IBinder asBinder() {
            return null;
        }

        @Override // io.github.xposed.xposedservice.IXRemotePreferenceCallback
        public void onUpdate(Bundle bundle) throws RemoteException {
        }
    }

    void onUpdate(Bundle bundle) throws RemoteException;

    public static abstract class Stub extends Binder implements IXRemotePreferenceCallback {
        static final int TRANSACTION_onUpdate = 1;

        public IBinder asBinder() {
            return this;
        }

        public Stub() {
            attachInterface(this, IXRemotePreferenceCallback.DESCRIPTOR);
        }

        public static IXRemotePreferenceCallback asInterface(IBinder iBinder) {
            if (iBinder == null) {
                return null;
            }
            IInterface queryLocalInterface = iBinder.queryLocalInterface(IXRemotePreferenceCallback.DESCRIPTOR);
            if (queryLocalInterface == null || !(queryLocalInterface instanceof IXRemotePreferenceCallback)) {
                return new Proxy(iBinder);
            }
            return (IXRemotePreferenceCallback) queryLocalInterface;
        }

        @Override // android.os.Binder
        public boolean onTransact(int i, Parcel parcel, Parcel parcel2, int i2) throws RemoteException {
            if (i >= 1 && i <= 16777215) {
                parcel.enforceInterface(IXRemotePreferenceCallback.DESCRIPTOR);
            }
            if (i == 1598968902) {
                parcel2.writeString(IXRemotePreferenceCallback.DESCRIPTOR);
                return true;
            } else if (i != 1) {
                return super.onTransact(i, parcel, parcel2, i2);
            } else {
                onUpdate((Bundle) _Parcel.readTypedObject(parcel, Bundle.CREATOR));
                return true;
            }
        }

        private static class Proxy implements IXRemotePreferenceCallback {
            private IBinder mRemote;

            public String getInterfaceDescriptor() {
                return IXRemotePreferenceCallback.DESCRIPTOR;
            }

            Proxy(IBinder iBinder) {
                this.mRemote = iBinder;
            }

            public IBinder asBinder() {
                return this.mRemote;
            }

            @Override // io.github.xposed.xposedservice.IXRemotePreferenceCallback
            public void onUpdate(Bundle bundle) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(IXRemotePreferenceCallback.DESCRIPTOR);
                    _Parcel.writeTypedObject(obtain, bundle, 0);
                    this.mRemote.transact(1, obtain, null, 1);
                } finally {
                    obtain.recycle();
                }
            }
        }
    }

    public static class _Parcel {
        /* access modifiers changed from: private */
        public static <T> T readTypedObject(Parcel parcel, Parcelable.Creator<T> creator) {
            if (parcel.readInt() != 0) {
                return creator.createFromParcel(parcel);
            }
            return null;
        }

        /* access modifiers changed from: private */
        public static <T extends Parcelable> void writeTypedObject(Parcel parcel, T t, int i) {
            if (t != null) {
                parcel.writeInt(1);
                t.writeToParcel(parcel, i);
                return;
            }
            parcel.writeInt(0);
        }
    }
}
