package io.github.xposed.xposedservice;

import android.os.Binder;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import android.os.RemoteException;

public interface IXposedService extends IInterface {
    public static final String DESCRIPTOR = "io.github.xposed.xposedservice.IXposedService";

    public static class Default implements IXposedService {
        public IBinder asBinder() {
            return null;
        }

        @Override // io.github.xposed.xposedservice.IXposedService
        public int getVersion() throws RemoteException {
            return 0;
        }
    }

    int getVersion() throws RemoteException;

    public static abstract class Stub extends Binder implements IXposedService {
        static final int TRANSACTION_getVersion = 2;

        public IBinder asBinder() {
            return this;
        }

        public Stub() {
            attachInterface(this, IXposedService.DESCRIPTOR);
        }

        public static IXposedService asInterface(IBinder iBinder) {
            if (iBinder == null) {
                return null;
            }
            IInterface queryLocalInterface = iBinder.queryLocalInterface(IXposedService.DESCRIPTOR);
            if (queryLocalInterface == null || !(queryLocalInterface instanceof IXposedService)) {
                return new Proxy(iBinder);
            }
            return (IXposedService) queryLocalInterface;
        }

        @Override // android.os.Binder
        public boolean onTransact(int i, Parcel parcel, Parcel parcel2, int i2) throws RemoteException {
            if (i >= 1 && i <= 16777215) {
                parcel.enforceInterface(IXposedService.DESCRIPTOR);
            }
            if (i == 1598968902) {
                parcel2.writeString(IXposedService.DESCRIPTOR);
                return true;
            } else if (i != 2) {
                return super.onTransact(i, parcel, parcel2, i2);
            } else {
                int version = getVersion();
                parcel2.writeNoException();
                parcel2.writeInt(version);
                return true;
            }
        }

        private static class Proxy implements IXposedService {
            private IBinder mRemote;

            public String getInterfaceDescriptor() {
                return IXposedService.DESCRIPTOR;
            }

            Proxy(IBinder iBinder) {
                this.mRemote = iBinder;
            }

            public IBinder asBinder() {
                return this.mRemote;
            }

            @Override // io.github.xposed.xposedservice.IXposedService
            public int getVersion() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(IXposedService.DESCRIPTOR);
                    this.mRemote.transact(2, obtain, obtain2, 0);
                    obtain2.readException();
                    return obtain2.readInt();
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }
        }
    }
}
