package org.apache.commons.lang3.function;

import java.lang.Throwable;
import java.util.Objects;

@FunctionalInterface
public interface FailableBiConsumer<T, U, E extends Throwable> {
    public static final FailableBiConsumer NOP = new FailableBiConsumer$$ExternalSyntheticLambda1();

    static /* synthetic */ default void lambda$static$0(Object obj, Object obj2) throws Throwable {
    }

    void accept(T t, U u) throws Throwable;

    static default <T, U, E extends Throwable> FailableBiConsumer<T, U, E> nop() {
        return NOP;
    }

    default FailableBiConsumer<T, U, E> andThen(FailableBiConsumer<? super T, ? super U, E> failableBiConsumer) {
        Objects.requireNonNull(failableBiConsumer);
        return new FailableBiConsumer$$ExternalSyntheticLambda0(this, failableBiConsumer);
    }

    static /* synthetic */ default void lambda$andThen$1(FailableBiConsumer _this, FailableBiConsumer failableBiConsumer, Object obj, Object obj2) throws Throwable {
        _this.accept(obj, obj2);
        failableBiConsumer.accept(obj, obj2);
    }
}
