package org.apache.commons.lang3.function;

import java.lang.Throwable;
import java.util.Objects;

@FunctionalInterface
public interface FailableBiFunction<T, U, R, E extends Throwable> {
    public static final FailableBiFunction NOP = new FailableBiFunction$$ExternalSyntheticLambda1();

    static /* synthetic */ default Object lambda$static$0(Object obj, Object obj2) throws Throwable {
        return null;
    }

    R apply(T t, U u) throws Throwable;

    static default <T, U, R, E extends Throwable> FailableBiFunction<T, U, R, E> nop() {
        return NOP;
    }

    default <V> FailableBiFunction<T, U, V, E> andThen(FailableFunction<? super R, ? extends V, E> failableFunction) {
        Objects.requireNonNull(failableFunction);
        return new FailableBiFunction$$ExternalSyntheticLambda0(this, failableFunction);
    }
}
