package org.apache.commons.lang3.function;

import java.lang.Throwable;
import java.util.Objects;

@FunctionalInterface
public interface FailableConsumer<T, E extends Throwable> {
    public static final FailableConsumer NOP = new FailableConsumer$$ExternalSyntheticLambda1();

    static /* synthetic */ default void lambda$static$0(Object obj) throws Throwable {
    }

    void accept(T t) throws Throwable;

    static default <T, E extends Throwable> FailableConsumer<T, E> nop() {
        return NOP;
    }

    default FailableConsumer<T, E> andThen(FailableConsumer<? super T, E> failableConsumer) {
        Objects.requireNonNull(failableConsumer);
        return new FailableConsumer$$ExternalSyntheticLambda0(this, failableConsumer);
    }

    static /* synthetic */ default void lambda$andThen$1(FailableConsumer _this, FailableConsumer failableConsumer, Object obj) throws Throwable {
        _this.accept(obj);
        failableConsumer.accept(obj);
    }
}
