package org.apache.commons.lang3.function;

import java.lang.Throwable;
import java.util.Objects;

@FunctionalInterface
public interface FailableDoubleConsumer<E extends Throwable> {
    public static final FailableDoubleConsumer NOP = new FailableDoubleConsumer$$ExternalSyntheticLambda0();

    static /* synthetic */ default void lambda$static$0(double d) throws Throwable {
    }

    void accept(double d) throws Throwable;

    static default <E extends Throwable> FailableDoubleConsumer<E> nop() {
        return NOP;
    }

    default FailableDoubleConsumer<E> andThen(FailableDoubleConsumer<E> failableDoubleConsumer) {
        Objects.requireNonNull(failableDoubleConsumer);
        return new FailableDoubleConsumer$$ExternalSyntheticLambda1(this, failableDoubleConsumer);
    }

    static /* synthetic */ default void lambda$andThen$1(FailableDoubleConsumer _this, FailableDoubleConsumer failableDoubleConsumer, double d) throws Throwable {
        _this.accept(d);
        failableDoubleConsumer.accept(d);
    }
}
