package org.apache.commons.lang3.function;

import java.lang.Throwable;

public interface FailableDoubleFunction<R, E extends Throwable> {
    public static final FailableDoubleFunction NOP = new FailableDoubleFunction$$ExternalSyntheticLambda0();

    static /* synthetic */ default Object lambda$static$0(double d) {
        return null;
    }

    R apply(double d) throws Throwable;

    static default <R, E extends Throwable> FailableDoubleFunction<R, E> nop() {
        return NOP;
    }
}
