package org.apache.commons.lang3.function;

import java.lang.Throwable;
import java.util.Objects;

public interface FailableDoublePredicate<E extends Throwable> {
    public static final FailableDoublePredicate FALSE = new FailableDoublePredicate$$ExternalSyntheticLambda2();
    public static final FailableDoublePredicate TRUE = new FailableDoublePredicate$$ExternalSyntheticLambda3();

    static /* synthetic */ default boolean lambda$static$0(double d) {
        return false;
    }

    static /* synthetic */ default boolean lambda$static$1(double d) {
        return true;
    }

    boolean test(double d) throws Throwable;

    static default <E extends Throwable> FailableDoublePredicate<E> falsePredicate() {
        return FALSE;
    }

    static default <E extends Throwable> FailableDoublePredicate<E> truePredicate() {
        return TRUE;
    }

    default FailableDoublePredicate<E> and(FailableDoublePredicate<E> failableDoublePredicate) {
        Objects.requireNonNull(failableDoublePredicate);
        return new FailableDoublePredicate$$ExternalSyntheticLambda4(this, failableDoublePredicate);
    }

    static /* synthetic */ default boolean lambda$and$2(FailableDoublePredicate _this, FailableDoublePredicate failableDoublePredicate, double d) {
        return _this.test(d) && failableDoublePredicate.test(d);
    }

    static /* synthetic */ default boolean lambda$negate$3(FailableDoublePredicate _this, double d) {
        return !_this.test(d);
    }

    default FailableDoublePredicate<E> negate() {
        return new FailableDoublePredicate$$ExternalSyntheticLambda1(this);
    }

    default FailableDoublePredicate<E> or(FailableDoublePredicate<E> failableDoublePredicate) {
        Objects.requireNonNull(failableDoublePredicate);
        return new FailableDoublePredicate$$ExternalSyntheticLambda0(this, failableDoublePredicate);
    }

    static /* synthetic */ default boolean lambda$or$4(FailableDoublePredicate _this, FailableDoublePredicate failableDoublePredicate, double d) {
        return _this.test(d) || failableDoublePredicate.test(d);
    }
}
