package org.apache.commons.lang3.function;

import java.lang.Throwable;

@FunctionalInterface
public interface FailableDoubleToIntFunction<E extends Throwable> {
    public static final FailableDoubleToIntFunction NOP = new FailableDoubleToIntFunction$$ExternalSyntheticLambda0();

    static /* synthetic */ default int lambda$static$0(double d) throws Throwable {
        return 0;
    }

    int applyAsInt(double d) throws Throwable;

    static default <E extends Throwable> FailableDoubleToIntFunction<E> nop() {
        return NOP;
    }
}
