package org.apache.commons.lang3.function;

import java.lang.Throwable;

@FunctionalInterface
public interface FailableDoubleToLongFunction<E extends Throwable> {
    public static final FailableDoubleToLongFunction NOP = new FailableDoubleToLongFunction$$ExternalSyntheticLambda0();

    static /* synthetic */ default int lambda$static$0(double d) throws Throwable {
        return 0;
    }

    int applyAsLong(double d) throws Throwable;

    static default <E extends Throwable> FailableDoubleToLongFunction<E> nop() {
        return NOP;
    }
}
