package org.apache.commons.lang3.function;

import java.lang.Throwable;
import java.util.Objects;

public interface FailableDoubleUnaryOperator<E extends Throwable> {
    public static final FailableDoubleUnaryOperator NOP = new FailableDoubleUnaryOperator$$ExternalSyntheticLambda0();

    static /* synthetic */ default double lambda$identity$1(double d) {
        return d;
    }

    static /* synthetic */ default double lambda$static$0(double d) {
        return 0.0d;
    }

    double applyAsDouble(double d) throws Throwable;

    static default <E extends Throwable> FailableDoubleUnaryOperator<E> identity() {
        return new FailableDoubleUnaryOperator$$ExternalSyntheticLambda1();
    }

    static default <E extends Throwable> FailableDoubleUnaryOperator<E> nop() {
        return NOP;
    }

    default FailableDoubleUnaryOperator<E> andThen(FailableDoubleUnaryOperator<E> failableDoubleUnaryOperator) {
        Objects.requireNonNull(failableDoubleUnaryOperator);
        return new FailableDoubleUnaryOperator$$ExternalSyntheticLambda2(this, failableDoubleUnaryOperator);
    }

    static /* synthetic */ default double lambda$andThen$2(FailableDoubleUnaryOperator _this, FailableDoubleUnaryOperator failableDoubleUnaryOperator, double d) {
        return failableDoubleUnaryOperator.applyAsDouble(_this.applyAsDouble(d));
    }

    default FailableDoubleUnaryOperator<E> compose(FailableDoubleUnaryOperator<E> failableDoubleUnaryOperator) {
        Objects.requireNonNull(failableDoubleUnaryOperator);
        return new FailableDoubleUnaryOperator$$ExternalSyntheticLambda3(this, failableDoubleUnaryOperator);
    }
}
