package org.apache.commons.lang3.function;

import java.lang.Throwable;
import java.util.Objects;

@FunctionalInterface
public interface FailableIntConsumer<E extends Throwable> {
    public static final FailableIntConsumer NOP = new FailableIntConsumer$$ExternalSyntheticLambda1();

    static /* synthetic */ default void lambda$static$0(int i) throws Throwable {
    }

    void accept(int i) throws Throwable;

    static default <E extends Throwable> FailableIntConsumer<E> nop() {
        return NOP;
    }

    default FailableIntConsumer<E> andThen(FailableIntConsumer<E> failableIntConsumer) {
        Objects.requireNonNull(failableIntConsumer);
        return new FailableIntConsumer$$ExternalSyntheticLambda0(this, failableIntConsumer);
    }

    static /* synthetic */ default void lambda$andThen$1(FailableIntConsumer _this, FailableIntConsumer failableIntConsumer, int i) throws Throwable {
        _this.accept(i);
        failableIntConsumer.accept(i);
    }
}
