package org.apache.commons.lang3.function;

import java.lang.Throwable;

@FunctionalInterface
public interface FailableIntFunction<R, E extends Throwable> {
    public static final FailableIntFunction NOP = new FailableIntFunction$$ExternalSyntheticLambda0();

    static /* synthetic */ default Object lambda$static$0(int i) throws Throwable {
        return null;
    }

    R apply(int i) throws Throwable;

    static default <R, E extends Throwable> FailableIntFunction<R, E> nop() {
        return NOP;
    }
}
