package org.apache.commons.lang3.function;

import java.lang.Throwable;
import java.util.Objects;

public interface FailableIntPredicate<E extends Throwable> {
    public static final FailableIntPredicate FALSE = new FailableIntPredicate$$ExternalSyntheticLambda1();
    public static final FailableIntPredicate TRUE = new FailableIntPredicate$$ExternalSyntheticLambda2();

    static /* synthetic */ default boolean lambda$static$0(int i) {
        return false;
    }

    static /* synthetic */ default boolean lambda$static$1(int i) {
        return true;
    }

    boolean test(int i) throws Throwable;

    static default <E extends Throwable> FailableIntPredicate<E> falsePredicate() {
        return FALSE;
    }

    static default <E extends Throwable> FailableIntPredicate<E> truePredicate() {
        return TRUE;
    }

    default FailableIntPredicate<E> and(FailableIntPredicate<E> failableIntPredicate) {
        Objects.requireNonNull(failableIntPredicate);
        return new FailableIntPredicate$$ExternalSyntheticLambda3(this, failableIntPredicate);
    }

    static /* synthetic */ default boolean lambda$and$2(FailableIntPredicate _this, FailableIntPredicate failableIntPredicate, int i) {
        return _this.test(i) && failableIntPredicate.test(i);
    }

    static /* synthetic */ default boolean lambda$negate$3(FailableIntPredicate _this, int i) {
        return !_this.test(i);
    }

    default FailableIntPredicate<E> negate() {
        return new FailableIntPredicate$$ExternalSyntheticLambda0(this);
    }

    default FailableIntPredicate<E> or(FailableIntPredicate<E> failableIntPredicate) {
        Objects.requireNonNull(failableIntPredicate);
        return new FailableIntPredicate$$ExternalSyntheticLambda4(this, failableIntPredicate);
    }

    static /* synthetic */ default boolean lambda$or$4(FailableIntPredicate _this, FailableIntPredicate failableIntPredicate, int i) {
        return _this.test(i) || failableIntPredicate.test(i);
    }
}
