package org.apache.commons.lang3.function;

import java.lang.Throwable;

@FunctionalInterface
public interface FailableIntToLongFunction<E extends Throwable> {
    public static final FailableIntToLongFunction NOP = new FailableIntToLongFunction$$ExternalSyntheticLambda0();

    static /* synthetic */ default long lambda$static$0(int i) throws Throwable {
        return 0;
    }

    long applyAsLong(int i) throws Throwable;

    static default <E extends Throwable> FailableIntToLongFunction<E> nop() {
        return NOP;
    }
}
