package org.apache.commons.lang3.function;

import java.lang.Throwable;
import java.util.Objects;

public interface FailableIntUnaryOperator<E extends Throwable> {
    public static final FailableIntUnaryOperator NOP = new FailableIntUnaryOperator$$ExternalSyntheticLambda0();

    static /* synthetic */ default int lambda$identity$1(int i) {
        return i;
    }

    static /* synthetic */ default int lambda$static$0(int i) {
        return 0;
    }

    int applyAsInt(int i) throws Throwable;

    static default <E extends Throwable> FailableIntUnaryOperator<E> identity() {
        return new FailableIntUnaryOperator$$ExternalSyntheticLambda1();
    }

    static default <E extends Throwable> FailableIntUnaryOperator<E> nop() {
        return NOP;
    }

    default FailableIntUnaryOperator<E> andThen(FailableIntUnaryOperator<E> failableIntUnaryOperator) {
        Objects.requireNonNull(failableIntUnaryOperator);
        return new FailableIntUnaryOperator$$ExternalSyntheticLambda3(this, failableIntUnaryOperator);
    }

    default FailableIntUnaryOperator<E> compose(FailableIntUnaryOperator<E> failableIntUnaryOperator) {
        Objects.requireNonNull(failableIntUnaryOperator);
        return new FailableIntUnaryOperator$$ExternalSyntheticLambda2(this, failableIntUnaryOperator);
    }

    static /* synthetic */ default int lambda$compose$3(FailableIntUnaryOperator _this, FailableIntUnaryOperator failableIntUnaryOperator, int i) {
        return _this.applyAsInt(failableIntUnaryOperator.applyAsInt(i));
    }
}
