package org.apache.commons.lang3.function;

import java.lang.Throwable;
import java.util.Objects;

@FunctionalInterface
public interface FailableLongConsumer<E extends Throwable> {
    public static final FailableLongConsumer NOP = new FailableLongConsumer$$ExternalSyntheticLambda0();

    static /* synthetic */ default void lambda$static$0(long j) throws Throwable {
    }

    void accept(long j) throws Throwable;

    static default <E extends Throwable> FailableLongConsumer<E> nop() {
        return NOP;
    }

    default FailableLongConsumer<E> andThen(FailableLongConsumer<E> failableLongConsumer) {
        Objects.requireNonNull(failableLongConsumer);
        return new FailableLongConsumer$$ExternalSyntheticLambda1(this, failableLongConsumer);
    }

    static /* synthetic */ default void lambda$andThen$1(FailableLongConsumer _this, FailableLongConsumer failableLongConsumer, long j) throws Throwable {
        _this.accept(j);
        failableLongConsumer.accept(j);
    }
}
