package org.apache.commons.lang3.function;

import java.lang.Throwable;
import java.util.Objects;

public interface FailableLongPredicate<E extends Throwable> {
    public static final FailableLongPredicate FALSE = new FailableLongPredicate$$ExternalSyntheticLambda0();
    public static final FailableLongPredicate TRUE = new FailableLongPredicate$$ExternalSyntheticLambda1();

    static /* synthetic */ default boolean lambda$static$0(long j) {
        return false;
    }

    static /* synthetic */ default boolean lambda$static$1(long j) {
        return true;
    }

    boolean test(long j) throws Throwable;

    static default <E extends Throwable> FailableLongPredicate<E> falsePredicate() {
        return FALSE;
    }

    static default <E extends Throwable> FailableLongPredicate<E> truePredicate() {
        return TRUE;
    }

    default FailableLongPredicate<E> and(FailableLongPredicate<E> failableLongPredicate) {
        Objects.requireNonNull(failableLongPredicate);
        return new FailableLongPredicate$$ExternalSyntheticLambda3(this, failableLongPredicate);
    }

    static /* synthetic */ default boolean lambda$and$2(FailableLongPredicate _this, FailableLongPredicate failableLongPredicate, long j) {
        return _this.test(j) && failableLongPredicate.test(j);
    }

    static /* synthetic */ default boolean lambda$negate$3(FailableLongPredicate _this, long j) {
        return !_this.test(j);
    }

    default FailableLongPredicate<E> negate() {
        return new FailableLongPredicate$$ExternalSyntheticLambda2(this);
    }

    default FailableLongPredicate<E> or(FailableLongPredicate<E> failableLongPredicate) {
        Objects.requireNonNull(failableLongPredicate);
        return new FailableLongPredicate$$ExternalSyntheticLambda4(this, failableLongPredicate);
    }

    static /* synthetic */ default boolean lambda$or$4(FailableLongPredicate _this, FailableLongPredicate failableLongPredicate, long j) {
        return _this.test(j) || failableLongPredicate.test(j);
    }
}
