package org.apache.commons.lang3.function;

import java.lang.Throwable;
import java.util.Objects;

public interface FailableLongUnaryOperator<E extends Throwable> {
    public static final FailableLongUnaryOperator NOP = new FailableLongUnaryOperator$$ExternalSyntheticLambda3();

    static /* synthetic */ default long lambda$identity$1(long j) {
        return j;
    }

    static /* synthetic */ default long lambda$static$0(long j) {
        return 0;
    }

    long applyAsLong(long j) throws Throwable;

    static default <E extends Throwable> FailableLongUnaryOperator<E> identity() {
        return new FailableLongUnaryOperator$$ExternalSyntheticLambda2();
    }

    static default <E extends Throwable> FailableLongUnaryOperator<E> nop() {
        return NOP;
    }

    default FailableLongUnaryOperator<E> andThen(FailableLongUnaryOperator<E> failableLongUnaryOperator) {
        Objects.requireNonNull(failableLongUnaryOperator);
        return new FailableLongUnaryOperator$$ExternalSyntheticLambda0(this, failableLongUnaryOperator);
    }

    default FailableLongUnaryOperator<E> compose(FailableLongUnaryOperator<E> failableLongUnaryOperator) {
        Objects.requireNonNull(failableLongUnaryOperator);
        return new FailableLongUnaryOperator$$ExternalSyntheticLambda1(this, failableLongUnaryOperator);
    }

    static /* synthetic */ default long lambda$compose$3(FailableLongUnaryOperator _this, FailableLongUnaryOperator failableLongUnaryOperator, long j) {
        return _this.applyAsLong(failableLongUnaryOperator.applyAsLong(j));
    }
}
