package org.apache.commons.lang3.function;

import java.lang.Throwable;
import java.util.Objects;

@FunctionalInterface
public interface FailablePredicate<T, E extends Throwable> {
    public static final FailablePredicate FALSE = new FailablePredicate$$ExternalSyntheticLambda3();
    public static final FailablePredicate TRUE = new FailablePredicate$$ExternalSyntheticLambda4();

    static /* synthetic */ default boolean lambda$static$0(Object obj) throws Throwable {
        return false;
    }

    static /* synthetic */ default boolean lambda$static$1(Object obj) throws Throwable {
        return true;
    }

    boolean test(T t) throws Throwable;

    static default <T, E extends Throwable> FailablePredicate<T, E> falsePredicate() {
        return FALSE;
    }

    static default <T, E extends Throwable> FailablePredicate<T, E> truePredicate() {
        return TRUE;
    }

    default FailablePredicate<T, E> and(FailablePredicate<? super T, E> failablePredicate) {
        Objects.requireNonNull(failablePredicate);
        return new FailablePredicate$$ExternalSyntheticLambda1(this, failablePredicate);
    }

    static /* synthetic */ default boolean lambda$and$2(FailablePredicate _this, FailablePredicate failablePredicate, Object obj) throws Throwable {
        return _this.test(obj) && failablePredicate.test(obj);
    }

    static /* synthetic */ default boolean lambda$negate$3(FailablePredicate _this, Object obj) throws Throwable {
        return !_this.test(obj);
    }

    default FailablePredicate<T, E> negate() {
        return new FailablePredicate$$ExternalSyntheticLambda2(this);
    }

    default FailablePredicate<T, E> or(FailablePredicate<? super T, E> failablePredicate) {
        Objects.requireNonNull(failablePredicate);
        return new FailablePredicate$$ExternalSyntheticLambda0(this, failablePredicate);
    }

    static /* synthetic */ default boolean lambda$or$4(FailablePredicate _this, FailablePredicate failablePredicate, Object obj) throws Throwable {
        return _this.test(obj) || failablePredicate.test(obj);
    }
}
