package org.apache.commons.lang3.function;

import java.lang.Throwable;

public interface FailableToDoubleBiFunction<T, U, E extends Throwable> {
    public static final FailableToDoubleBiFunction NOP = new FailableToDoubleBiFunction$$ExternalSyntheticLambda0();

    static /* synthetic */ default double lambda$static$0(Object obj, Object obj2) {
        return 0.0d;
    }

    double applyAsDouble(T t, U u) throws Throwable;

    static default <T, U, E extends Throwable> FailableToDoubleBiFunction<T, U, E> nop() {
        return NOP;
    }
}
