package org.apache.commons.lang3.function;

import java.lang.Throwable;

@FunctionalInterface
public interface FailableToDoubleFunction<T, E extends Throwable> {
    public static final FailableToDoubleFunction NOP = new FailableToDoubleFunction$$ExternalSyntheticLambda0();

    static /* synthetic */ default double lambda$static$0(Object obj) throws Throwable {
        return 0.0d;
    }

    double applyAsDouble(T t) throws Throwable;

    static default <T, E extends Throwable> FailableToDoubleFunction<T, E> nop() {
        return NOP;
    }
}
