package org.apache.commons.lang3.function;

import java.lang.Throwable;

@FunctionalInterface
public interface FailableToIntBiFunction<T, U, E extends Throwable> {
    public static final FailableToIntBiFunction NOP = new FailableToIntBiFunction$$ExternalSyntheticLambda0();

    static /* synthetic */ default int lambda$static$0(Object obj, Object obj2) throws Throwable {
        return 0;
    }

    int applyAsInt(T t, U u) throws Throwable;

    static default <T, U, E extends Throwable> FailableToIntBiFunction<T, U, E> nop() {
        return NOP;
    }
}
