package org.apache.commons.lang3.function;

import java.lang.Throwable;

public interface FailableToIntFunction<T, E extends Throwable> {
    public static final FailableToIntFunction NOP = new FailableToIntFunction$$ExternalSyntheticLambda0();

    static /* synthetic */ default int lambda$static$0(Object obj) {
        return 0;
    }

    int applyAsInt(T t) throws Throwable;

    static default <T, E extends Throwable> FailableToIntFunction<T, E> nop() {
        return NOP;
    }
}
