package org.apache.commons.lang3.function;

import java.lang.Throwable;

@FunctionalInterface
public interface FailableToLongBiFunction<T, U, E extends Throwable> {
    public static final FailableToLongBiFunction NOP = new FailableToLongBiFunction$$ExternalSyntheticLambda0();

    static /* synthetic */ default long lambda$static$0(Object obj, Object obj2) throws Throwable {
        return 0;
    }

    long applyAsLong(T t, U u) throws Throwable;

    static default <T, U, E extends Throwable> FailableToLongBiFunction<T, U, E> nop() {
        return NOP;
    }
}
