package org.apache.commons.lang3.function;

import java.lang.Throwable;

@FunctionalInterface
public interface FailableToLongFunction<T, E extends Throwable> {
    public static final FailableToLongFunction NOP = new FailableToLongFunction$$ExternalSyntheticLambda0();

    static /* synthetic */ default long lambda$static$0(Object obj) throws Throwable {
        return 0;
    }

    long applyAsLong(T t) throws Throwable;

    static default <T, E extends Throwable> FailableToLongFunction<T, E> nop() {
        return NOP;
    }
}
