package org.lsposed.lspatch.metaloader;

import android.app.AppComponentFactory;
import android.content.pm.ApplicationInfo;
import android.content.pm.IPackageManager;
import android.os.Build;
import android.os.ServiceManager;
import android.util.JsonReader;
import android.util.Log;
import java.io.ByteArrayOutputStream;
import java.io.File;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.lang.reflect.Method;
import java.util.HashMap;
import java.util.Objects;
import java.util.zip.ZipFile;
import org.lsposed.hiddenapibypass.i;
import org.lsposed.lspatch.share.Constants;

public class LSPAppComponentFactoryStub extends AppComponentFactory {
    public static byte[] dex;

    static {
        boolean z;
        String str;
        ApplicationInfo applicationInfo;
        HashMap hashMap = new HashMap(4);
        try {
            hashMap.put("arm", "armeabi-v7a");
            hashMap.put("arm64", "arm64-v8a");
            hashMap.put("x86", "x86");
            hashMap.put("x86_64", "x86_64");
            ClassLoader classLoader = LSPAppComponentFactoryStub.class.getClassLoader();
            Objects.requireNonNull(classLoader);
            Class<?> cls = Class.forName("dalvik.system.VMRuntime");
            Method declaredMethod = cls.getDeclaredMethod("getRuntime", new Class[0]);
            declaredMethod.setAccessible(true);
            Method declaredMethod2 = cls.getDeclaredMethod("vmInstructionSet", new Class[0]);
            declaredMethod2.setAccessible(true);
            String str2 = (String) hashMap.get((String) declaredMethod2.invoke(declaredMethod.invoke(null, new Object[0]), new Object[0]));
            InputStream resourceAsStream = classLoader.getResourceAsStream(Constants.CONFIG_ASSET_PATH);
            try {
                JsonReader jsonReader = new JsonReader(new InputStreamReader(resourceAsStream));
                try {
                    jsonReader.beginObject();
                    while (true) {
                        if (!jsonReader.hasNext()) {
                            z = false;
                            break;
                        } else if (jsonReader.nextName().equals("useManager")) {
                            z = jsonReader.nextBoolean();
                            break;
                        } else {
                            jsonReader.skipValue();
                        }
                    }
                    jsonReader.close();
                    if (resourceAsStream != null) {
                        resourceAsStream.close();
                    }
                    if (z) {
                        Log.i("LSPatch-MetaLoader", "Bootstrap loader from manager");
                        IPackageManager asInterface = IPackageManager.Stub.asInterface(ServiceManager.getService("package"));
                        if (Build.VERSION.SDK_INT >= 33) {
                            applicationInfo = (ApplicationInfo) i.a(asInterface, Constants.MANAGER_PACKAGE_NAME, 0L, 0);
                        } else {
                            applicationInfo = asInterface.getApplicationInfo(Constants.MANAGER_PACKAGE_NAME, 0, 0);
                        }
                        ZipFile zipFile = new ZipFile(new File(applicationInfo.sourceDir));
                        try {
                            InputStream inputStream = zipFile.getInputStream(zipFile.getEntry(Constants.LOADER_DEX_ASSET_PATH));
                            try {
                                ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
                                try {
                                    byte[] bArr = new byte[8192];
                                    while (true) {
                                        int read = inputStream.read(bArr);
                                        if (-1 == read) {
                                            break;
                                        }
                                        byteArrayOutputStream.write(bArr, 0, read);
                                    }
                                    dex = byteArrayOutputStream.toByteArray();
                                    byteArrayOutputStream.close();
                                    inputStream.close();
                                    zipFile.close();
                                    str = applicationInfo.sourceDir + "!/assets/lspatch/so/" + str2 + "/liblspatch.so";
                                } catch (Throwable th) {
                                    th.addSuppressed(th);
                                }
                            } catch (Throwable th2) {
                                th.addSuppressed(th2);
                            }
                        } catch (Throwable th3) {
                            th.addSuppressed(th3);
                        }
                    } else {
                        Log.i("LSPatch-MetaLoader", "Bootstrap loader from embedment");
                        InputStream resourceAsStream2 = classLoader.getResourceAsStream(Constants.LOADER_DEX_ASSET_PATH);
                        try {
                            ByteArrayOutputStream byteArrayOutputStream2 = new ByteArrayOutputStream();
                            try {
                                byte[] bArr2 = new byte[8192];
                                while (true) {
                                    int read2 = resourceAsStream2.read(bArr2);
                                    if (-1 == read2) {
                                        break;
                                    }
                                    byteArrayOutputStream2.write(bArr2, 0, read2);
                                }
                                dex = byteArrayOutputStream2.toByteArray();
                                byteArrayOutputStream2.close();
                                resourceAsStream2.close();
                                str = classLoader.getResource("assets/lspatch/so/" + str2 + "/liblspatch.so").getPath().substring(5);
                            } catch (Throwable th4) {
                                th.addSuppressed(th4);
                            }
                        } catch (Throwable th5) {
                            th.addSuppressed(th5);
                        }
                    }
                    System.load(str);
                    return;
                } catch (Throwable th6) {
                    th.addSuppressed(th6);
                }
                throw th;
                throw th;
                throw th;
                throw th;
                throw th;
                throw th;
                throw th;
            } catch (Throwable th7) {
                th.addSuppressed(th7);
            }
        } catch (Throwable th8) {
            throw new ExceptionInInitializerError(th8);
        }
    }
}
