package org.lsposed.lspd.hooker;

import android.os.Build;
import de.robv.android.xposed.XC_MethodHook;
import de.robv.android.xposed.XposedHelpers;
import org.lsposed.lspd.nativebridge.HookBridge;

public class OpenDexFileHooker extends XC_MethodHook {
    /* access modifiers changed from: protected */
    @Override // de.robv.android.xposed.XC_MethodHook
    public void afterHookedMethod(XC_MethodHook.MethodHookParam methodHookParam) throws Throwable {
        Object[] objArr = methodHookParam.args;
        ClassLoader classLoader = null;
        for (Object obj : objArr) {
            if (obj instanceof ClassLoader) {
                classLoader = (ClassLoader) obj;
            }
        }
        if (Build.VERSION.SDK_INT == 28 && classLoader == null) {
            classLoader = XposedHelpers.class.getClassLoader();
        }
        while (classLoader != null) {
            if (classLoader == XposedHelpers.class.getClassLoader()) {
                HookBridge.setTrusted(methodHookParam.getResult());
                return;
            }
            classLoader = classLoader.getParent();
        }
    }
}
