package org.lsposed.lspd.hooker;

import de.robv.android.xposed.XC_MethodHook;
import de.robv.android.xposed.XposedBridge;
import de.robv.android.xposed.XposedInit;
import de.robv.android.xposed.callbacks.XC_LoadPackage;
import org.lsposed.lspd.util.Hookers;
import org.lsposed.lspd.util.Utils;

public class StartBootstrapServicesHooker extends XC_MethodHook {
    /* access modifiers changed from: protected */
    @Override // de.robv.android.xposed.XC_MethodHook
    public void beforeHookedMethod(XC_MethodHook.MethodHookParam methodHookParam) {
        Utils.logD("SystemServer#startBootstrapServices() starts");
        try {
            XposedInit.loadedPackagesInProcess.add("android");
            XC_LoadPackage.LoadPackageParam loadPackageParam = new XC_LoadPackage.LoadPackageParam(XposedBridge.sLoadedPackageCallbacks);
            loadPackageParam.packageName = "android";
            loadPackageParam.processName = "android";
            loadPackageParam.classLoader = HandleSystemServerProcessHooker.systemServerCL;
            loadPackageParam.appInfo = null;
            loadPackageParam.isFirstApplication = true;
            XC_LoadPackage.callAll(loadPackageParam);
        } catch (Throwable th) {
            Hookers.logE("error when hooking startBootstrapServices", th);
        }
    }
}
