package org.lsposed.lspd.models;

import android.os.BadParcelableException;
import android.os.Parcel;
import android.os.Parcelable;
import android.os.SharedMemory;
import java.util.Collection;
import java.util.List;

public class PreLoadedApk implements Parcelable {
    public static final Parcelable.Creator<PreLoadedApk> CREATOR = new Parcelable.Creator<PreLoadedApk>() {
        /* class org.lsposed.lspd.models.PreLoadedApk.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public PreLoadedApk createFromParcel(Parcel parcel) {
            PreLoadedApk preLoadedApk = new PreLoadedApk();
            preLoadedApk.readFromParcel(parcel);
            return preLoadedApk;
        }

        @Override // android.os.Parcelable.Creator
        public PreLoadedApk[] newArray(int i) {
            return new PreLoadedApk[i];
        }
    };
    public List<String> moduleClassNames;
    public List<String> moduleLibraryNames;
    public List<SharedMemory> preLoadedDexes;

    public final void writeToParcel(Parcel parcel, int i) {
        int dataPosition = parcel.dataPosition();
        parcel.writeInt(0);
        parcel.writeTypedList(this.preLoadedDexes);
        parcel.writeStringList(this.moduleClassNames);
        parcel.writeStringList(this.moduleLibraryNames);
        int dataPosition2 = parcel.dataPosition();
        parcel.setDataPosition(dataPosition);
        parcel.writeInt(dataPosition2 - dataPosition);
        parcel.setDataPosition(dataPosition2);
    }

    public final void readFromParcel(Parcel parcel) {
        int dataPosition = parcel.dataPosition();
        int readInt = parcel.readInt();
        if (readInt >= 4) {
            try {
                if (parcel.dataPosition() - dataPosition < readInt) {
                    this.preLoadedDexes = parcel.createTypedArrayList(SharedMemory.CREATOR);
                    if (parcel.dataPosition() - dataPosition < readInt) {
                        this.moduleClassNames = parcel.createStringArrayList();
                        if (parcel.dataPosition() - dataPosition < readInt) {
                            this.moduleLibraryNames = parcel.createStringArrayList();
                            if (dataPosition <= Integer.MAX_VALUE - readInt) {
                                parcel.setDataPosition(dataPosition + readInt);
                                return;
                            }
                            throw new BadParcelableException("Overflow in the size of parcelable");
                        } else if (dataPosition > Integer.MAX_VALUE - readInt) {
                            throw new BadParcelableException("Overflow in the size of parcelable");
                        }
                    } else if (dataPosition > Integer.MAX_VALUE - readInt) {
                        throw new BadParcelableException("Overflow in the size of parcelable");
                    }
                } else if (dataPosition > Integer.MAX_VALUE - readInt) {
                    throw new BadParcelableException("Overflow in the size of parcelable");
                }
                parcel.setDataPosition(dataPosition + readInt);
            } catch (Throwable th) {
                if (dataPosition > Integer.MAX_VALUE - readInt) {
                    throw new BadParcelableException("Overflow in the size of parcelable");
                }
                parcel.setDataPosition(dataPosition + readInt);
                throw th;
            }
        } else {
            throw new BadParcelableException("Parcelable too small");
        }
    }

    public int describeContents() {
        return describeContents(this.preLoadedDexes) | 0;
    }

    private int describeContents(Object obj) {
        int i = 0;
        if (obj == null) {
            return 0;
        }
        if (obj instanceof Collection) {
            for (Object obj2 : (Collection) obj) {
                i |= describeContents(obj2);
            }
            return i;
        } else if (obj instanceof Parcelable) {
            return ((Parcelable) obj).describeContents();
        } else {
            return 0;
        }
    }

    static class _Parcel {
        _Parcel() {
        }

        private static <T> T readTypedObject(Parcel parcel, Parcelable.Creator<T> creator) {
            if (parcel.readInt() != 0) {
                return creator.createFromParcel(parcel);
            }
            return null;
        }

        private static <T extends Parcelable> void writeTypedObject(Parcel parcel, T t, int i) {
            if (t != null) {
                parcel.writeInt(1);
                t.writeToParcel(parcel, i);
                return;
            }
            parcel.writeInt(0);
        }
    }
}
