package org.lsposed.lspd.service;

import android.os.Binder;
import android.os.Bundle;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import android.os.ParcelFileDescriptor;
import android.os.Parcelable;
import android.os.RemoteException;
import java.util.ArrayList;
import java.util.List;
import org.lsposed.lspd.models.Module;

public interface ILSPApplicationService extends IInterface {
    public static final String DESCRIPTOR = "org.lsposed.lspd.service.ILSPApplicationService";

    public static class Default implements ILSPApplicationService {
        public IBinder asBinder() {
            return null;
        }

        @Override // org.lsposed.lspd.service.ILSPApplicationService
        public List<Module> getModulesList() throws RemoteException {
            return null;
        }

        @Override // org.lsposed.lspd.service.ILSPApplicationService
        public String getPrefsPath(String str) throws RemoteException {
            return null;
        }

        @Override // org.lsposed.lspd.service.ILSPApplicationService
        public ParcelFileDescriptor requestInjectedManagerBinder(List<IBinder> list) throws RemoteException {
            return null;
        }

        @Override // org.lsposed.lspd.service.ILSPApplicationService
        public IBinder requestModuleBinder(String str) throws RemoteException {
            return null;
        }

        @Override // org.lsposed.lspd.service.ILSPApplicationService
        public Bundle requestRemotePreference(String str, int i, IBinder iBinder) throws RemoteException {
            return null;
        }
    }

    List<Module> getModulesList() throws RemoteException;

    String getPrefsPath(String str) throws RemoteException;

    ParcelFileDescriptor requestInjectedManagerBinder(List<IBinder> list) throws RemoteException;

    IBinder requestModuleBinder(String str) throws RemoteException;

    Bundle requestRemotePreference(String str, int i, IBinder iBinder) throws RemoteException;

    public static abstract class Stub extends Binder implements ILSPApplicationService {
        static final int TRANSACTION_getModulesList = 2;
        static final int TRANSACTION_getPrefsPath = 3;
        static final int TRANSACTION_requestInjectedManagerBinder = 5;
        static final int TRANSACTION_requestModuleBinder = 1;
        static final int TRANSACTION_requestRemotePreference = 4;

        public IBinder asBinder() {
            return this;
        }

        public Stub() {
            attachInterface(this, ILSPApplicationService.DESCRIPTOR);
        }

        public static ILSPApplicationService asInterface(IBinder iBinder) {
            if (iBinder == null) {
                return null;
            }
            IInterface queryLocalInterface = iBinder.queryLocalInterface(ILSPApplicationService.DESCRIPTOR);
            if (queryLocalInterface == null || !(queryLocalInterface instanceof ILSPApplicationService)) {
                return new Proxy(iBinder);
            }
            return (ILSPApplicationService) queryLocalInterface;
        }

        @Override // android.os.Binder
        public boolean onTransact(int i, Parcel parcel, Parcel parcel2, int i2) throws RemoteException {
            if (i >= 1 && i <= 16777215) {
                parcel.enforceInterface(ILSPApplicationService.DESCRIPTOR);
            }
            if (i != 1598968902) {
                if (i == 1) {
                    IBinder requestModuleBinder = requestModuleBinder(parcel.readString());
                    parcel2.writeNoException();
                    parcel2.writeStrongBinder(requestModuleBinder);
                } else if (i == 2) {
                    List<Module> modulesList = getModulesList();
                    parcel2.writeNoException();
                    parcel2.writeTypedList(modulesList);
                } else if (i == 3) {
                    String prefsPath = getPrefsPath(parcel.readString());
                    parcel2.writeNoException();
                    parcel2.writeString(prefsPath);
                } else if (i == 4) {
                    Bundle requestRemotePreference = requestRemotePreference(parcel.readString(), parcel.readInt(), parcel.readStrongBinder());
                    parcel2.writeNoException();
                    _Parcel.writeTypedObject(parcel2, requestRemotePreference, 1);
                } else if (i != 5) {
                    return super.onTransact(i, parcel, parcel2, i2);
                } else {
                    ArrayList arrayList = new ArrayList();
                    ParcelFileDescriptor requestInjectedManagerBinder = requestInjectedManagerBinder(arrayList);
                    parcel2.writeNoException();
                    _Parcel.writeTypedObject(parcel2, requestInjectedManagerBinder, 1);
                    parcel2.writeBinderList(arrayList);
                }
                return true;
            }
            parcel2.writeString(ILSPApplicationService.DESCRIPTOR);
            return true;
        }

        private static class Proxy implements ILSPApplicationService {
            private IBinder mRemote;

            public String getInterfaceDescriptor() {
                return ILSPApplicationService.DESCRIPTOR;
            }

            Proxy(IBinder iBinder) {
                this.mRemote = iBinder;
            }

            public IBinder asBinder() {
                return this.mRemote;
            }

            @Override // org.lsposed.lspd.service.ILSPApplicationService
            public IBinder requestModuleBinder(String str) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(ILSPApplicationService.DESCRIPTOR);
                    obtain.writeString(str);
                    this.mRemote.transact(1, obtain, obtain2, 0);
                    obtain2.readException();
                    return obtain2.readStrongBinder();
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // org.lsposed.lspd.service.ILSPApplicationService
            public List<Module> getModulesList() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(ILSPApplicationService.DESCRIPTOR);
                    this.mRemote.transact(2, obtain, obtain2, 0);
                    obtain2.readException();
                    return obtain2.createTypedArrayList(Module.CREATOR);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // org.lsposed.lspd.service.ILSPApplicationService
            public String getPrefsPath(String str) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(ILSPApplicationService.DESCRIPTOR);
                    obtain.writeString(str);
                    this.mRemote.transact(3, obtain, obtain2, 0);
                    obtain2.readException();
                    return obtain2.readString();
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // org.lsposed.lspd.service.ILSPApplicationService
            public Bundle requestRemotePreference(String str, int i, IBinder iBinder) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(ILSPApplicationService.DESCRIPTOR);
                    obtain.writeString(str);
                    obtain.writeInt(i);
                    obtain.writeStrongBinder(iBinder);
                    this.mRemote.transact(4, obtain, obtain2, 0);
                    obtain2.readException();
                    return (Bundle) _Parcel.readTypedObject(obtain2, Bundle.CREATOR);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // org.lsposed.lspd.service.ILSPApplicationService
            public ParcelFileDescriptor requestInjectedManagerBinder(List<IBinder> list) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(ILSPApplicationService.DESCRIPTOR);
                    this.mRemote.transact(5, obtain, obtain2, 0);
                    obtain2.readException();
                    ParcelFileDescriptor parcelFileDescriptor = (ParcelFileDescriptor) _Parcel.readTypedObject(obtain2, ParcelFileDescriptor.CREATOR);
                    obtain2.readBinderList(list);
                    return parcelFileDescriptor;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }
        }
    }

    public static class _Parcel {
        /* access modifiers changed from: private */
        public static <T> T readTypedObject(Parcel parcel, Parcelable.Creator<T> creator) {
            if (parcel.readInt() != 0) {
                return creator.createFromParcel(parcel);
            }
            return null;
        }

        /* access modifiers changed from: private */
        public static <T extends Parcelable> void writeTypedObject(Parcel parcel, T t, int i) {
            if (t != null) {
                parcel.writeInt(1);
                t.writeToParcel(parcel, i);
                return;
            }
            parcel.writeInt(0);
        }
    }
}
