package org.lsposed.lspd.service;

import android.os.Binder;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import android.os.RemoteException;
import org.lsposed.lspd.service.ILSPApplicationService;

public interface ILSPSystemServerService extends IInterface {
    public static final String DESCRIPTOR = "org.lsposed.lspd.service.ILSPSystemServerService";

    public static class Default implements ILSPSystemServerService {
        public IBinder asBinder() {
            return null;
        }

        @Override // org.lsposed.lspd.service.ILSPSystemServerService
        public ILSPApplicationService requestApplicationService(int i, int i2, String str, IBinder iBinder) throws RemoteException {
            return null;
        }
    }

    ILSPApplicationService requestApplicationService(int i, int i2, String str, IBinder iBinder) throws RemoteException;

    public static abstract class Stub extends Binder implements ILSPSystemServerService {
        static final int TRANSACTION_requestApplicationService = 1;

        public IBinder asBinder() {
            return this;
        }

        public Stub() {
            attachInterface(this, ILSPSystemServerService.DESCRIPTOR);
        }

        public static ILSPSystemServerService asInterface(IBinder iBinder) {
            if (iBinder == null) {
                return null;
            }
            IInterface queryLocalInterface = iBinder.queryLocalInterface(ILSPSystemServerService.DESCRIPTOR);
            if (queryLocalInterface == null || !(queryLocalInterface instanceof ILSPSystemServerService)) {
                return new Proxy(iBinder);
            }
            return (ILSPSystemServerService) queryLocalInterface;
        }

        @Override // android.os.Binder
        public boolean onTransact(int i, Parcel parcel, Parcel parcel2, int i2) throws RemoteException {
            if (i >= 1 && i <= 16777215) {
                parcel.enforceInterface(ILSPSystemServerService.DESCRIPTOR);
            }
            if (i == 1598968902) {
                parcel2.writeString(ILSPSystemServerService.DESCRIPTOR);
                return true;
            } else if (i != 1) {
                return super.onTransact(i, parcel, parcel2, i2);
            } else {
                ILSPApplicationService requestApplicationService = requestApplicationService(parcel.readInt(), parcel.readInt(), parcel.readString(), parcel.readStrongBinder());
                parcel2.writeNoException();
                parcel2.writeStrongInterface(requestApplicationService);
                return true;
            }
        }

        private static class Proxy implements ILSPSystemServerService {
            private IBinder mRemote;

            public String getInterfaceDescriptor() {
                return ILSPSystemServerService.DESCRIPTOR;
            }

            Proxy(IBinder iBinder) {
                this.mRemote = iBinder;
            }

            public IBinder asBinder() {
                return this.mRemote;
            }

            @Override // org.lsposed.lspd.service.ILSPSystemServerService
            public ILSPApplicationService requestApplicationService(int i, int i2, String str, IBinder iBinder) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(ILSPSystemServerService.DESCRIPTOR);
                    obtain.writeInt(i);
                    obtain.writeInt(i2);
                    obtain.writeString(str);
                    obtain.writeStrongBinder(iBinder);
                    this.mRemote.transact(1, obtain, obtain2, 0);
                    obtain2.readException();
                    return ILSPApplicationService.Stub.asInterface(obtain2.readStrongBinder());
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }
        }
    }
}
