package org.lsposed.lspd.service;

import android.content.Intent;
import android.os.Binder;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import android.os.Parcelable;
import android.os.RemoteException;
import org.lsposed.lspd.service.ILSPApplicationService;

public interface ILSPosedService extends IInterface {
    public static final String DESCRIPTOR = "org.lsposed.lspd.service.ILSPosedService";

    public static class Default implements ILSPosedService {
        public IBinder asBinder() {
            return null;
        }

        @Override // org.lsposed.lspd.service.ILSPosedService
        public void dispatchSystemServerContext(IBinder iBinder, IBinder iBinder2, String str) throws RemoteException {
        }

        @Override // org.lsposed.lspd.service.ILSPosedService
        public boolean preStartManager(String str, Intent intent) throws RemoteException {
            return false;
        }

        @Override // org.lsposed.lspd.service.ILSPosedService
        public ILSPApplicationService requestApplicationService(int i, int i2, String str, IBinder iBinder) throws RemoteException {
            return null;
        }
    }

    void dispatchSystemServerContext(IBinder iBinder, IBinder iBinder2, String str) throws RemoteException;

    boolean preStartManager(String str, Intent intent) throws RemoteException;

    ILSPApplicationService requestApplicationService(int i, int i2, String str, IBinder iBinder) throws RemoteException;

    public static abstract class Stub extends Binder implements ILSPosedService {
        static final int TRANSACTION_dispatchSystemServerContext = 2;
        static final int TRANSACTION_preStartManager = 3;
        static final int TRANSACTION_requestApplicationService = 1;

        public IBinder asBinder() {
            return this;
        }

        public Stub() {
            attachInterface(this, ILSPosedService.DESCRIPTOR);
        }

        public static ILSPosedService asInterface(IBinder iBinder) {
            if (iBinder == null) {
                return null;
            }
            IInterface queryLocalInterface = iBinder.queryLocalInterface(ILSPosedService.DESCRIPTOR);
            if (queryLocalInterface == null || !(queryLocalInterface instanceof ILSPosedService)) {
                return new Proxy(iBinder);
            }
            return (ILSPosedService) queryLocalInterface;
        }

        @Override // android.os.Binder
        public boolean onTransact(int i, Parcel parcel, Parcel parcel2, int i2) throws RemoteException {
            if (i >= 1 && i <= 16777215) {
                parcel.enforceInterface(ILSPosedService.DESCRIPTOR);
            }
            if (i != 1598968902) {
                if (i == 1) {
                    ILSPApplicationService requestApplicationService = requestApplicationService(parcel.readInt(), parcel.readInt(), parcel.readString(), parcel.readStrongBinder());
                    parcel2.writeNoException();
                    parcel2.writeStrongInterface(requestApplicationService);
                } else if (i == 2) {
                    dispatchSystemServerContext(parcel.readStrongBinder(), parcel.readStrongBinder(), parcel.readString());
                } else if (i != 3) {
                    return super.onTransact(i, parcel, parcel2, i2);
                } else {
                    boolean preStartManager = preStartManager(parcel.readString(), (Intent) _Parcel.readTypedObject(parcel, Intent.CREATOR));
                    parcel2.writeNoException();
                    parcel2.writeInt(preStartManager ? 1 : 0);
                }
                return true;
            }
            parcel2.writeString(ILSPosedService.DESCRIPTOR);
            return true;
        }

        private static class Proxy implements ILSPosedService {
            private IBinder mRemote;

            public String getInterfaceDescriptor() {
                return ILSPosedService.DESCRIPTOR;
            }

            Proxy(IBinder iBinder) {
                this.mRemote = iBinder;
            }

            public IBinder asBinder() {
                return this.mRemote;
            }

            @Override // org.lsposed.lspd.service.ILSPosedService
            public ILSPApplicationService requestApplicationService(int i, int i2, String str, IBinder iBinder) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(ILSPosedService.DESCRIPTOR);
                    obtain.writeInt(i);
                    obtain.writeInt(i2);
                    obtain.writeString(str);
                    obtain.writeStrongBinder(iBinder);
                    this.mRemote.transact(1, obtain, obtain2, 0);
                    obtain2.readException();
                    return ILSPApplicationService.Stub.asInterface(obtain2.readStrongBinder());
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // org.lsposed.lspd.service.ILSPosedService
            public void dispatchSystemServerContext(IBinder iBinder, IBinder iBinder2, String str) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(ILSPosedService.DESCRIPTOR);
                    obtain.writeStrongBinder(iBinder);
                    obtain.writeStrongBinder(iBinder2);
                    obtain.writeString(str);
                    this.mRemote.transact(2, obtain, null, 1);
                } finally {
                    obtain.recycle();
                }
            }

            @Override // org.lsposed.lspd.service.ILSPosedService
            public boolean preStartManager(String str, Intent intent) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(ILSPosedService.DESCRIPTOR);
                    obtain.writeString(str);
                    boolean z = false;
                    _Parcel.writeTypedObject(obtain, intent, 0);
                    this.mRemote.transact(3, obtain, obtain2, 0);
                    obtain2.readException();
                    if (obtain2.readInt() != 0) {
                        z = true;
                    }
                    return z;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }
        }
    }

    public static class _Parcel {
        /* access modifiers changed from: private */
        public static <T> T readTypedObject(Parcel parcel, Parcelable.Creator<T> creator) {
            if (parcel.readInt() != 0) {
                return creator.createFromParcel(parcel);
            }
            return null;
        }

        /* access modifiers changed from: private */
        public static <T extends Parcelable> void writeTypedObject(Parcel parcel, T t, int i) {
            if (t != null) {
                parcel.writeInt(1);
                t.writeToParcel(parcel, i);
                return;
            }
            parcel.writeInt(0);
        }
    }
}
