package pxb.android;

import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.nio.ByteBuffer;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
import org.apache.commons.lang3.CharEncoding;

public class StringItems extends ArrayList<StringItem> {
    private static final int UTF8_FLAG = 256;
    byte[] stringData;
    private boolean useUTF8 = true;

    public static String[] read(ByteBuffer byteBuffer) throws IOException {
        String str;
        int position = byteBuffer.position() - 8;
        int i = byteBuffer.getInt();
        byteBuffer.getInt();
        int i2 = byteBuffer.getInt();
        int i3 = byteBuffer.getInt();
        byteBuffer.getInt();
        int[] iArr = new int[i];
        String[] strArr = new String[i];
        for (int i4 = 0; i4 < i; i4++) {
            iArr[i4] = byteBuffer.getInt();
        }
        int i5 = position + i3;
        for (int i6 = 0; i6 < i; i6++) {
            byteBuffer.position(iArr[i6] + i5);
            if ((i2 & 256) != 0) {
                u8length(byteBuffer);
                int u8length = u8length(byteBuffer);
                int position2 = byteBuffer.position();
                while (byteBuffer.get(position2 + u8length) != 0) {
                    u8length++;
                }
                str = new String(byteBuffer.array(), position2, u8length, CharEncoding.UTF_8);
            } else {
                str = new String(byteBuffer.array(), byteBuffer.position(), u16length(byteBuffer) * 2, CharEncoding.UTF_16LE);
            }
            strArr[i6] = str;
        }
        return strArr;
    }

    static int u16length(ByteBuffer byteBuffer) {
        int i = byteBuffer.getShort() & 65535;
        return i > 32767 ? ((i & 32767) << 8) | (byteBuffer.getShort() & 65535) : i;
    }

    static int u8length(ByteBuffer byteBuffer) {
        int i = byteBuffer.get() & 255;
        return (i & 128) != 0 ? ((i & 127) << 8) | (byteBuffer.get() & 255) : i;
    }

    public int getSize() {
        return (size() * 4) + 20 + this.stringData.length + 0;
    }

    public void prepare() throws IOException {
        Iterator it = iterator();
        while (it.hasNext()) {
            if (((StringItem) it.next()).data.length() > 32767) {
                this.useUTF8 = false;
            }
        }
        ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
        byteArrayOutputStream.reset();
        HashMap hashMap = new HashMap();
        Iterator it2 = iterator();
        int i = 0;
        int i2 = 0;
        while (it2.hasNext()) {
            StringItem stringItem = (StringItem) it2.next();
            int i3 = i + 1;
            stringItem.index = i;
            String str = stringItem.data;
            Integer num = (Integer) hashMap.get(str);
            if (num != null) {
                stringItem.dataOffset = num.intValue();
            } else {
                stringItem.dataOffset = i2;
                hashMap.put(str, Integer.valueOf(i2));
                if (this.useUTF8) {
                    int length = str.length();
                    byte[] bytes = str.getBytes(CharEncoding.UTF_8);
                    int length2 = bytes.length;
                    if (length > 127) {
                        i2++;
                        byteArrayOutputStream.write((length >> 8) | 128);
                    }
                    byteArrayOutputStream.write(length);
                    if (length2 > 127) {
                        i2++;
                        byteArrayOutputStream.write((length2 >> 8) | 128);
                    }
                    byteArrayOutputStream.write(length2);
                    byteArrayOutputStream.write(bytes);
                    byteArrayOutputStream.write(0);
                    i2 += length2 + 3;
                } else {
                    int length3 = str.length();
                    byte[] bytes2 = str.getBytes(CharEncoding.UTF_16LE);
                    if (length3 > 32767) {
                        int i4 = (length3 >> 16) | 32768;
                        byteArrayOutputStream.write(i4);
                        byteArrayOutputStream.write(i4 >> 8);
                        i2 += 2;
                    }
                    byteArrayOutputStream.write(length3);
                    byteArrayOutputStream.write(length3 >> 8);
                    byteArrayOutputStream.write(bytes2);
                    byteArrayOutputStream.write(0);
                    byteArrayOutputStream.write(0);
                    i2 += bytes2.length + 4;
                }
            }
            i = i3;
        }
        this.stringData = byteArrayOutputStream.toByteArray();
    }

    public void write(ByteBuffer byteBuffer) throws IOException {
        byteBuffer.putInt(size());
        byteBuffer.putInt(0);
        byteBuffer.putInt(this.useUTF8 ? 256 : 0);
        byteBuffer.putInt((size() * 4) + 28);
        byteBuffer.putInt(0);
        Iterator it = iterator();
        while (it.hasNext()) {
            byteBuffer.putInt(((StringItem) it.next()).dataOffset);
        }
        byteBuffer.put(this.stringData);
    }
}
