package pxb.android.arsc;

import java.io.File;
import java.io.IOException;
import java.io.PrintStream;
import java.util.ArrayList;
import java.util.List;
import pxb.android.axml.Util;

public class ArscDumper {
    public static void dump(List<Pkg> list) {
        for (int i = 0; i < list.size(); i++) {
            Pkg pkg = list.get(i);
            int i2 = 3;
            System.out.println(String.format("  Package %d id=%d name=%s typeCount=%d", Integer.valueOf(i), Integer.valueOf(pkg.id), pkg.name, Integer.valueOf(pkg.types.size())));
            for (Type type : pkg.types.values()) {
                System.out.println(String.format("    type %d %s", Integer.valueOf(type.id - 1), type.name));
                int i3 = (pkg.id << 24) | (type.id << 16);
                for (int i4 = 0; i4 < type.specs.length; i4++) {
                    ResSpec spec = type.getSpec(i4);
                    PrintStream printStream = System.out;
                    Object[] objArr = new Object[i2];
                    objArr[0] = Integer.valueOf(spec.id | i3);
                    objArr[1] = Integer.valueOf(spec.flags);
                    objArr[2] = spec.name;
                    printStream.println(String.format("      spec 0x%08x 0x%08x %s", objArr));
                }
                int i5 = 0;
                while (i5 < type.configs.size()) {
                    System.out.println("      config");
                    ArrayList arrayList = new ArrayList(type.configs.get(i5).resources.values());
                    int i6 = 0;
                    while (i6 < arrayList.size()) {
                        ResEntry resEntry = (ResEntry) arrayList.get(i6);
                        PrintStream printStream2 = System.out;
                        Object[] objArr2 = new Object[i2];
                        objArr2[0] = Integer.valueOf(resEntry.spec.id | i3);
                        objArr2[1] = resEntry.spec.name;
                        objArr2[2] = resEntry.value;
                        printStream2.println(String.format("        resource 0x%08x %-20s: %s", objArr2));
                        i6++;
                        i2 = 3;
                    }
                    i5++;
                    i2 = 3;
                }
            }
        }
    }

    public static void main(String... strArr) throws IOException {
        if (strArr.length == 0) {
            System.err.println("asrc-dump file.arsc");
        } else {
            dump(new ArscParser(Util.readFile(new File(strArr[0]))).parse());
        }
    }
}
