package pxb.android.arsc;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

public class BagValue {
    public List<Map.Entry<Integer, Value>> map = new ArrayList();
    public final int parent;

    public BagValue(int i) {
        this.parent = i;
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null || !(obj instanceof BagValue)) {
            return false;
        }
        BagValue bagValue = (BagValue) obj;
        List<Map.Entry<Integer, Value>> list = this.map;
        if (list == null) {
            if (bagValue.map != null) {
                return false;
            }
        } else if (!list.equals(bagValue.map)) {
            return false;
        }
        return this.parent == bagValue.parent;
    }

    public int hashCode() {
        List<Map.Entry<Integer, Value>> list = this.map;
        return (((list == null ? 0 : list.hashCode()) + 31) * 31) + this.parent;
    }

    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(String.format("{bag%08x", Integer.valueOf(this.parent)));
        for (Map.Entry<Integer, Value> entry : this.map) {
            sb.append(",").append(String.format("0x%08x", entry.getKey()));
            sb.append("=");
            sb.append(entry.getValue());
        }
        return sb.append("}").toString();
    }
}
