package rikka.parcelablelist;

import android.os.Parcel;
import android.os.Parcelable;
import java.util.Collections;
import java.util.List;

public class ParcelableListSlice<T extends Parcelable> extends BaseParcelableListSlice<T> {
    public static final Parcelable.Creator<ParcelableListSlice> CREATOR = new Parcelable.Creator<ParcelableListSlice>() {
        /* class rikka.parcelablelist.ParcelableListSlice.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public ParcelableListSlice createFromParcel(Parcel parcel) {
            return new ParcelableListSlice(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public ParcelableListSlice[] newArray(int i) {
            return new ParcelableListSlice[i];
        }
    };

    public static <T extends Parcelable> ParcelableListSlice<T> emptyList() {
        return new ParcelableListSlice<>(Collections.emptyList());
    }

    public ParcelableListSlice(List<T> list) {
        super(list);
    }

    private ParcelableListSlice(Parcel parcel) {
        super(parcel);
    }

    @Override // rikka.parcelablelist.BaseParcelableListSlice
    public T readElement(Parcel parcel) {
        return (T) parcel.readParcelable(ParcelableListSlice.class.getClassLoader());
    }

    public void writeElement(T t, Parcel parcel, int i) {
        parcel.writeParcelable(t, i);
    }

    public int describeContents() {
        List<T> list = getList();
        int i = 0;
        for (int i2 = 0; i2 < list.size(); i2++) {
            i |= list.get(i2).describeContents();
        }
        return i;
    }
}
