package org.apache.commons.lang3.function;

import java.util.Objects;
import java.util.function.Function;

@FunctionalInterface
public interface TriFunction<T, U, V, R> {
    R apply(T t, U u, V v);

    default <W> TriFunction<T, U, V, W> andThen(Function<? super R, ? extends W> function) {
        Objects.requireNonNull(function);
        return new TriFunction$$ExternalSyntheticLambda0(this, function);
    }

    /* JADX DEBUG: Multi-variable search result rejected for r1v0, resolved type: java.util.function.Function */
    /* JADX WARN: Multi-variable type inference failed */
    static /* synthetic */ default Object lambda$andThen$0(TriFunction _this, Function function, Object obj, Object obj2, Object obj3) {
        return function.apply(_this.apply(obj, obj2, obj3));
    }
}
