package pxb.android.axml;

import java.io.IOException;
import java.util.Stack;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class AxmlReader {
    public static final NodeVisitor EMPTY_VISITOR = new NodeVisitor() {
        /* class pxb.android.axml.AxmlReader.AnonymousClass1 */

        @Override // pxb.android.axml.NodeVisitor
        public NodeVisitor child(String str, String str2) {
            return this;
        }
    };
    private static final Logger logger = LoggerFactory.getLogger(AxmlReader.class);
    final AxmlParser parser;

    public AxmlReader(byte[] bArr) {
        this.parser = new AxmlParser(bArr);
    }

    /* JADX DEBUG: Failed to insert an additional move for type inference into block B:17:0x0006 */
    /* JADX DEBUG: Failed to insert an additional move for type inference into block B:19:0x0006 */
    public void accept(AxmlVisitor axmlVisitor) throws IOException {
        Stack stack = new Stack();
        NodeVisitor nodeVisitor = axmlVisitor;
        while (true) {
            int next = this.parser.next();
            switch (next) {
                case 1:
                case 5:
                    break;
                case 2:
                    stack.push(nodeVisitor);
                    nodeVisitor = nodeVisitor.child(this.parser.getNamespaceUri(), this.parser.getName());
                    if (nodeVisitor != null) {
                        if (nodeVisitor != EMPTY_VISITOR) {
                            nodeVisitor.line(this.parser.getLineNumber());
                            for (int i = 0; i < this.parser.getAttrCount(); i++) {
                                nodeVisitor.attr(this.parser.getAttrNs(i), this.parser.getAttrName(i), this.parser.getAttrResId(i), this.parser.getAttrType(i), this.parser.getAttrValue(i));
                            }
                            break;
                        } else {
                            break;
                        }
                    } else {
                        nodeVisitor = EMPTY_VISITOR;
                        break;
                    }
                case 3:
                    nodeVisitor.end();
                    nodeVisitor = (NodeVisitor) stack.pop();
                    break;
                case 4:
                    axmlVisitor.ns(this.parser.getNamespacePrefix(), this.parser.getNamespaceUri(), this.parser.getLineNumber());
                    break;
                case 6:
                    nodeVisitor.text(this.parser.getLineNumber(), this.parser.getText());
                    break;
                case AxmlParser.END_FILE /*{ENCODED_INT: 7}*/:
                    return;
                default:
                    logger.warn("Unsupported tag: {}", Integer.valueOf(next));
                    break;
            }
        }
    }
}
